<?php
/**
 * @file archive.tpl.php 
 *  Prints the contents of the journal' archive
 * 
 * @param $journal
 *  journal object
 * @param $archive
 *  array that holds volumes -> issues -> articles
 *  articles are available only if the request was for certain issues (not when you list whole archive)
 *
 * @see template_preprocess_archive()
 *
 */
?>

<?php print theme('ejournal_journal_reference', $journal); ?>
<div class="archive">

<?php if($journal->vid): ?>
<div class="section-form"><h3> <?php t('Display articles in section')?> </h3>
  <?php print theme('ejournal_section_form', $journal) ?>
</div>
<?php endif; ?>

<?php foreach ($archive as $volume) : ?>
  <div>
    <?php print $volume['html']; ?>
    <div>
    <?php foreach ($volume['issues'] as $issue) : ?>
      <?php print $issue['html']; ?>
      <?php foreach ($issue['articles'] as $article) : ?>
        <?php print $article['html']; ?>
      <?php endforeach; ?>  
    <?php endforeach; ?>
    </div>
  </div>
<?php endforeach; ?>

</div>

