<?php
/**
 * @file browse-vocabulary.tpl.php 
 *  Lists the terms for a given vocabulary
 * 
 * @param $journal
 *  object with the journal data
 * @param $vid 
 *  current id of the authors' vocabulary
 * @param $char
 *  character to start listing with
 * @param $rows
 *  array of values, having these keys:
 *    tid : taxonomy term id
 *    multiple: if the name (looked up by name, not by tid) matches more terms, this contains number of matches (eg. you have two authors with the same name John McDonald, each has different tid)
 *    link: html link prepared for your conveniece
 *    see: the taxonomy term's other name, eg. you have term "mobile" and its references "mobile phones", "mobile telephones" (the last two will in their own separate arrays, their names in the see key)
 * @see template_preprocess_browse_authors() in the ejournalauthors.module
 *
 */
?>

<?php print theme('pager', NULL, $max, 0); ?>
<div class="ejournal-terms-list">
  <?php foreach ($rows as $row):?>
    <?php print $row['see'] ? t('see also') . '&nbsp;&nbsp;' . $row['link'] : $row['link'];?><br/>
  <? endforeach; ?>
  <?php if ($i >= $max/2):?>
  </div><div class="ejournal-terms-list">
  <?php $i=0 ?>
  <?php endif; ?>
</div>
<?php theme('pager', NULL, $max, 0); ?>


