<?php
/**
 * @file display-issue.tpl.php 
 *  Wraps the main ejournal pages
 * 
 * @param $journal
 *  object containing the ejournal
 * @param $issue
 *  issue object
 * @param $contents
 *  array with these keys:
 *    [section_name (taxonomy key)
 *      [
 *        article : article object (coming from ejournal)
 *        node: fully loaded node object (but only if it was requested, by defaut it is empty)
 *        html: html representation of the article link (ie. theme('ejournal_article_reference', $article)
 *      ] 
 *    ]
 * @param $print
 *  boolean, true if the print of the whole issue was requested
 *
 * @see ejournal_preprocess()
 *
 */
?>


<?php print theme('ejournal_issue_reference', $journal, $issue); ?>

<?php foreach ($contents as $section => $articles) :?>
  <div>
  <div class="section"><?php print $section; ?></div>
  <?php foreach ($articles as $article): ?>
    <?php print $article['html']; ?>
    <?if ($article['node']) : ?>
      <?php print theme('node', $article['node']); ?>
    <?endif; ?>
  <?php endforeach; ?>
  </div>
<?php endforeach; ?>    

